Get team usage metrics

Retrieves aggregated team usage metrics and individual member activity for a specified date range

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This endpoint retrieves team usage metrics including aggregate statistics and individual member activity for a specified date range.

This endpoint is only available to customer on the Enterprise Plan.

An example cURL request is:

  curl --location 'https://app.eraser.io/api/reports/usage?rangeDays=30'  
  --header 'Authorization: Bearer $YOUR-TOKEN-HERE'

rangeDaysspecifies the range of the report and defaults to 30 days.

endDate specifies the ending date of the date range in YYYY-MM-DD format and defaults to the current date.

Note that you don't need to explicitly specify a team on your request since your API token is specific to a team.

An example response is:

  {  
    "range": {  
      "start": "2025-07-01",  
      "end": "2025-07-31"  
    },  
    "aggregate": {  
      "teamName": "Enterprise architecture",  
      "totalMembers": 60,  
      "activeMembers": 50,  
      "inactiveMembers": 10,  
      "totalFiles": 100,  
      "totalFilesCreated": 34,  
      "totalFilesViewed": 43,  
      "totalFileViews": 1234,  
      "totalAiCreditsUsed": 789  
    },  
    "members": [  
      {  
        "email": "[email protected]",  
        "displayName": "Alice Walker",  
        "filesCreated": 5,  
        "filesViewed": 7,  
        "fileViews": 12,  
        "aiCreditsUsed": 100,  
        "lastActive": "2025-07-30T15:45:00Z"  
      },  
      {  
        "email": "[email protected]",  
        "displayName": "Bob Doe",  
        "filesCreated": 0,  
        "filesViewed": 7,  
        "fileViews": 12,  
        "aiCreditsUsed": 0,  
        "lastActive": "2025-07-10T09:12:00Z"  
      }  
    ]  
  }

Full documentation of the endpoint below:

Query Params
integer
1 to 365
Defaults to 30

Number of days to include in the report

date

End date for the report range (YYYY-MM-DD format)

Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json